#!/bin/sh
# $Id: sesam2000.profile,v 1.17 2013/10/22 09:51:12 sesam Exp $
# sesam2000 environment variables
read_ini()
{
  SM_INI=`grep -i '^sm_ini=' /etc/sesam2000.ini|cut -d"=" -f2`
  echo `grep -i "$1=" "$SM_INI"|cut -d"=" -f2`
}

gv_ro=`read_ini gv_ro`
gv_rw=`read_ini gv_rw`
gv_rw_work=`read_ini gv_rw_work`
gv_rw_ini=`read_ini gv_rw_ini`
gv_rw_lgc=`read_ini gv_rw_lgc`
gv_rw_prot=`read_ini gv_rw_prot`
gv_rw_sms=`read_ini gv_rw_sms`
gv_rw_db=`read_ini gv_rw_db`
gv_ro_bin=`read_ini gv_ro_bin`
gv_ro_sms=`read_ini gv_ro_sms`
gv_ro_gui=`read_ini gv_ro_gui`
gv_ro_db=`read_ini gv_ro_db`

gv_db_type=`read_ini gv_db_type`
gv_port_db=`read_ini gv_port_db`

#LD_LIBRARY_PATH=${gv_ro_bin}:${gv_ro_db}:$LD_LIBRARY_PATH:/usr/local/lib:/usr/local/pgsql/lib
PATH=${gv_ro_bin}:${gv_ro_sms}:${gv_ro_db}:${gv_ro_gui}:$PATH
# PATH="$(printf "%s" "${PATH}" | /usr/bin/awk -F: '{for(i=1;i<=NF;i++){if(!($i in a)){a[$i];printf s$i;s=":"}}}')"
export SESAM_ROOT LANG PATH LD_LIBRARY_PATH

#
# some alias
alias work="cd ${gv_rw_work}"
alias cat_info='cat ${gv_rw_work}/info/info.dat'
alias cat_status="ls -t ${gv_rw_prot}/*.status | head -1 | xargs cat"
alias cat_yester="ls -tr ${gv_rw_prot}/*.status |tail -2|head -1 | xargs cat"
alias cat_prot="ls -t ${gv_rw_prot}/[0-9]*.prt | head -1 | xargs cat"
# alias to make linux kernel timestamp
# human readable
alias sm_dmesg='dmesg | perl -ne "BEGIN{\$a= time()- qx!cat /proc/uptime!}; s/\[\s*(\d+)\.\d+\]/localtime(\$1 + \$a)/e; print \$_;"'

#
# EXTENSION SQL
if [ "$gv_db_type" = "postgres" ] 
then
  alias sql="psql -d sesam_db -p ${gv_port_db} -c"
elif [ "$gv_db_type" = "sqlite" ] 
then
  alias sql="sqlite3 -header ${gv_rw_db}/sesam_db.sdb "
fi
#
# EXTENSION SET CDPATH
CDPATH=$CDPATH:${gv_rw}:${gv_rw}/var:${gv_rw}/var/log:${gv_ro}/bin:${gv_rw_ini}:${gv_rw_work}:${gv_rw_prot}
