#!/bin/sh
#
# Script to adopt SEPsesam client installation 
# on Fujitsu FlexFrame 
#
# * Creates a private "var" area for every node
# * Sesam "ini" directory will be shared between all nodes
#
# 1. Install Sesam tar-ball client package on one node to /usr/sap/SEPsesam 
# 2. Run this script on ever FF node
#


SESAMDIR=/usr/sap/SEPsesam
SESAMVAR=/var/opt/sesam/var
mkdir -p $SESAMVAR/lib
mkdir -p $SESAMVAR/log
mkdir -p $SESAMVAR/log/lgc
mkdir -p $SESAMVAR/log/sbc
mkdir -p $SESAMVAR/qm
mkdir -p $SESAMVAR/qm/com
mkdir -p $SESAMVAR/qm/prot
mkdir -p $SESAMVAR/tmp
mkdir -p $SESAMVAR/times
mkdir -p $SESAMVAR/work
mkdir -p $SESAMVAR/work/sem

for d in lib log qm tmp times work
do
echo $d
if [ ! -L $SESAMDIR/var/$d ]
then
  echo "Remove $SESAMDIR/var/$d and create link to $SESAMVAR/$d"
  rm -r $SESAMDIR/var/$d
  ln -s $SESAMVAR/$d $SESAMDIR/var/$d
fi
done

